Subject: Re: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jan 2023 08:41:59 +0200

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 04 Jan 2023 21:33:38 +0100
> 
> On Wed, 04 Jan 2023 22:10:47 +0200 Eli Zaretskii <[email-masked]> wrote:
> 
> >> From: Stephen Berman <[email-masked]>
> >> Cc: Eric Gillespie <[email-masked]>,  [email-masked]
> >> Date: Wed, 04 Jan 2023 20:59:04 +0100
> >>
> >> >> 	Warning (treesit): Cannot activate tree-sitter, because
> >> >> 	tree-sitter library is not compiled with Emacs
> >> >
> >> > This is not a bug.  Emacs 29 comes with major modes for TOML files and
> >> > for Dockerfiles, and those new major modes require that you build
> >> > Emacs with the tree-sitter library (and install the corresponding
> >> > parser grammar libraries).  If you don't want to do that, you can
> >> > instead customize auto-mode-alist to make Emacs use Fundamental mode
> >> > (or any other mode you like) for these two file types.
> >>
> >> Emacs 28 already has conf-toml-mode for TOML files, so shouldn't
> >> toml-ts-mode be handled like e.g. c-ts-mode instead of being added to
> >> auto-mode-alist? (The default value of that variable in Emacs 29 still
> >> contains an entry for conf-toml-mode, lower down than the entry for
> >> toml-ts-mode.)
> >
> > We could indeed do that for TOML files, but I believe the problem
> > raised here is more general.
> 
> That may be, but the TOML case appears to be a regression, since
> visiting a TOML file in Emacs 28 displays various faces but visiting a
> TOML file in Emacs 29 without having the tree-sitter TOML grammar
> library installed displays only the default face.

I've now made toml-ts-mode an optional one, leaving conf-toml-mode as
the default.